D-Bus 1.13.18

Data Fields
DBusTimeout Struct Reference
D-Bus secret internal implementation details » DBusTimeout implementation details

Internals of DBusTimeout. More...

## Data Fields
int | refcount
| Reference count.
int | interval
| Timeout interval in milliseconds.
DBusTimeoutHandler | handler
| Timeout handler.
void * | handler_data
| Timeout handler data.
DBusFreeFunction | free_handler_data_function
| Free the timeout handler data.
void * | data
| Application data.
DBusFreeFunction | free_data_function
| Free the application data.
unsigned int | enabled: 1
| True if timeout is active.
unsigned int | needs_restart: 1
| Flag that timeout should be restarted after re-enabling.

## Detailed Description

Internals of DBusTimeout.

Definition at line 40 of file dbus-timeout.c.

The documentation for this struct was generated from the following file:

- dbus-timeout.c